<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">

<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar>
    <button ion-button menuToggle (click)="back()">
      <ion-icon name="ios-arrow-back" class="icon-header"></ion-icon>
    </button>
    <!-- <ion-title>กลับ
      </ion-title> -->
  </ion-navbar>
</ion-header>

<ion-content class="auth-bg bg-all">
  <ion-grid style="margin-top: 10%;">
      <ion-row>
          <ion-col col-12 class="menudiv" text-center>
            <ion-item no-lines class="menubar">
              <ion-label class="fontmenu">เพิ่มการบ้าน</ion-label>
            </ion-item>
            <ion-item no-border no-lines class="level">
              <img style="border-radius: 50%;" class="image-title" src="{{student_img}}">
              <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark">
              </ion-icon>
              <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
            </ion-item>
          </ion-col>
        </ion-row>
    <ion-row>

      <div col-12 class="container">
        <div class="container2">
          <ion-item no-lines class="container3">
            <ion-label class="topic-label" style="color: #fb5700;">
              เรื่อง
            </ion-label>
            <ion-input type="text" placeholder="กำหนดเรื่อง" class="box-topic" style="
              font-size: 16px;
              border-radius: 4px;
              border: black;
              " [(ngModel)]="homeworkName">
            </ion-input>
          </ion-item>

          <ion-item no-lines class="container3">
            <ion-label class="topic-label" style="color: #fb5700;">
              รายละเอียด
            </ion-label>
            <ion-input type="text" placeholder="รายละเอียด" class="box-topic" style="
              font-size: 16px;
              border-radius: 4px;
              border: black;
              " [(ngModel)]="detail">
            </ion-input>
          </ion-item>

          <ion-item no-lines class="container3">
            <ion-label class="topic-label" style="color: #fb5700;">
              กำหนดวันที่ส่ง
            </ion-label>
            <label *ngIf="dateOfEvent">{{dateOfEvent}}</label>
            <ion-datetime displayFormat="MMM DD, YYYY " pickerFormat="MMM DD, YYYY " [(ngModel)]="dateOfEvent">
            </ion-datetime>
          </ion-item>
          <ion-item no-lines class="container3">
            <ion-label class="topic-label" style="color: #fb5700;">กำหนดเวลาแจ้งเตือน</ion-label>
            <ion-select [(ngModel)]="alert_before">
              <ion-option>1</ion-option>
              <ion-option>3</ion-option>
              <ion-option>5</ion-option>
              <ion-option>7</ion-option>
            </ion-select>
          </ion-item>
          <!-- <p  style="padding: 10%;"><img src="{{doc}}" style="width: 100%; height: 100%;"></p> -->
          <!-- <ion-item no-lines class="container3" style="background-color: rgba(255, 255, 255, 0);">
            <button ion-button color="light" class="calendar" (click)="takephoto()">
              <ion-icon name="camera">
              </ion-icon>
            </button>
          </ion-item> -->
          <button ion-button icon-start block color="dark" tappable class="btncamera"  (click)="test()">
            <!-- <ion-icon item-start class="ios-folder" name="checkmark-circle"></ion-icon> -->
            <p class="name4">เปิดไฟล์รูปภาพ</p>
          </button>
        </div>

        <img style="border-radius: 10px; padding: 20px; margin: 5px;" src="{{homework_img}}">

        <button ion-button icon-start block color="dark" tappable class="btnhome" (click)="saveHomework()">
          <ion-icon item-start class="btn-inhome" name="checkmark-circle"></ion-icon>
          <p class="name4">บันทึก</p>
        </button>
      </div>

    </ion-row>
  </ion-grid>
</ion-content>